> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailofly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Segment

> Permanently delete a segment.

Delete a segment. Note that deleting a segment does not delete the contacts within it.

### Path Parameters

<ParamField path="id" type="string" required>
  The unique identifier of the segment to delete.
</ParamField>

### Response

<ResponseField name="data" type="object">
  <ResponseField name="success" type="boolean">True if successfully deleted.</ResponseField>
  <ResponseField name="id" type="string">The deleted segment ID.</ResponseField>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE https://api.mailofly.com/api/v1/segments/seg_123 \
    -H "Authorization: Bearer mf_live_your_api_key"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "data": {
      "success": true,
      "id": "seg_123"
    }
  }
  ```
</ResponseExample>


## Related topics

- [Delete Contact Segment](/api/contacts/delete-contact-segment.md)
- [Segments](/audience/segments.md)
- [Delete Template](/api/templates/delete-template.md)
- [Delete Campaign](/api/campaigns/delete-campaign.md)
- [Delete Topic](/api/topics/delete-topic.md)
